org.apache.maven.scm

## Class CommandParameter

- java.lang.Object
- - org.apache.maven.scm.CommandParameter

All Implemented Interfaces:
  Serializable

    public class CommandParameter
    extends Object
    implements Serializable

Version:
  $Id: CommandParameter.java 892494 2009-12-19 18:40:43Z olamy $
Author:
  Trygve Laugstøl
See Also:
  Serialized Form

### Field Summary

Fields
`static CommandParameter` `BINARY`
`static CommandParameter` `BRANCH`
`static CommandParameter` `BRANCH_NAME`
`static CommandParameter` `CHANGELOG_DATE_PATTERN`
`static CommandParameter` `END_DATE`
`static CommandParameter` `END_SCM_VERSION`
`static CommandParameter` `FILE`
`static CommandParameter` `FILES`
`static CommandParameter` `MESSAGE`
`static CommandParameter` `NUM_DAYS`
`static CommandParameter` `OUTPUT_DIRECTORY`
`static CommandParameter` `OUTPUT_FILE`
`static CommandParameter` `RECURSIVE`
`static CommandParameter` `RUN_CHANGELOG_WITH_UPDATE`
`static CommandParameter` `SCM_BRANCH_PARAMETERS`
`static CommandParameter` `SCM_TAG_PARAMETERS`
`static CommandParameter` `SCM_VERSION`
`static CommandParameter` `START_DATE`
`static CommandParameter` `START_SCM_VERSION`
`static CommandParameter` `TAG_NAME`

### Method Summary

Methods
`String` `getName()`
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### BINARY

    public static final CommandParameter BINARY

#### RECURSIVE

    public static final CommandParameter RECURSIVE

#### MESSAGE

    public static final CommandParameter MESSAGE

#### BRANCH_NAME

    public static final CommandParameter BRANCH_NAME

#### START_DATE

    public static final CommandParameter START_DATE

#### END_DATE

    public static final CommandParameter END_DATE

#### NUM_DAYS

    public static final CommandParameter NUM_DAYS

#### BRANCH

    public static final CommandParameter BRANCH

#### START_SCM_VERSION

    public static final CommandParameter START_SCM_VERSION

#### END_SCM_VERSION

    public static final CommandParameter END_SCM_VERSION

#### CHANGELOG_DATE_PATTERN

    public static final CommandParameter CHANGELOG_DATE_PATTERN

#### SCM_VERSION

    public static final CommandParameter SCM_VERSION

#### TAG_NAME

    public static final CommandParameter TAG_NAME

#### FILE

    public static final CommandParameter FILE

#### FILES

    public static final CommandParameter FILES

#### OUTPUT_FILE

    public static final CommandParameter OUTPUT_FILE

#### OUTPUT_DIRECTORY

    public static final CommandParameter OUTPUT_DIRECTORY

#### RUN_CHANGELOG_WITH_UPDATE

    public static final CommandParameter RUN_CHANGELOG_WITH_UPDATE

#### SCM_TAG_PARAMETERS

    public static final CommandParameter SCM_TAG_PARAMETERS

#### SCM_BRANCH_PARAMETERS

    public static final CommandParameter SCM_BRANCH_PARAMETERS

### Method Detail

#### getName

    public String getName()

Returns:
  The parameter name

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`